<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
//echo "<br> Sistema lab. de solos";

//echo("modulo= $modulo<br>");
$variavelBloqueio="";
if (session_status() === PHP_SESSION_NONE) session_start();
     
    //if($_SESSION['controle3']==""){
    //   echo "Voce nao pode acessar o programa desta forma1837.<br> ";
	   //$variavelBloqueio="disabled";
       //aqui verificamos com um if, se sessão com o nome teste for igual a vazio ou seja nada aparecerá uam mensagem no navegador
       //e a outra parte do arquivo (pode ser a área restrita) não oirá aparecer por causa do exit
      //exit;
    //}





$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');

$controle3=$sessao->getVar('controle3');
/*
if($controle3 !="INICIO"):
   echo ("Acesso incorreto! controle3= $controle3 <br>");
   //exit;
else:

   echo ("Acesso correto? controle3= $controle3 <br>");
   echo ("CONTROEle3 igual inico <br>");
endif;
*/

$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
//echo(" Operador: $nomeOperador idlabo=$idLabo<br>");
//if($nomeOperador=='')echo 'valor branco';
//if($nomeOperador!='')echo 'valor setado';//depois que tem a senha ele esta setado

$anocorrente=date("Y");
$sessao->setVar('anocorrente',$anocorrente);

switch ($tela):
    case 'login':
	    //echo"esta no case login";
	        $sessao = new sessao();
			//$controle3=$sessao->getVar('controle3');
			//if($controle3 =="INICIO"):
			   //echo ("Ok. Entre com senha e login. controle3=inicio1854 <br>");
			   //exit;
			//else:
			   //echo ("Acesso incorreto1837!  <br>");
			//endif;

			$a=$sessao->getNvars();
			$b=$sessao->getVar('logado');
			$c=$sessao->getVar('ip');
			$d=$_SERVER['REMOTE_ADDR'];
            if($a==1):
			  //echo ("Acesso incorreto do modulo.amostrasComClasse L65 aqui tinha o exit <br>");
			  //exit;
            endif;

            $teste=4;			
	        //if ($sessao->getNvars()>0 && $sessao->getVar('logado')==TRUE && $sessao->getVar('ip')==$_SERVER['REMOTE_ADDR']):
	        if ($sessao->getVar('logado')==TRUE ):
	        //if ($teste==4):
                  //echo("dentro do if que manda ir para o redireciona<br>");
                  //echo("mandou para o painel 0542 a=$a b=$b c=$c d=$d <br>");			   
			      redireciona('painel.php');
			else:
			      //echo("dentro do else que testa logado 0541 a=$a b=$b c=$c d=$d <br>");		  

			endif;
				  
	        if (isset($_POST['logar'])):
	            $user = new amostras2016();
	            $user->setValor('login',antiInject($_POST['usuario']));
	            $user->setValor('senha',antiInject($_POST['senha']));
	            //$sessao->setVar('controle3','INICIO');
	            if ($user->doLogin($user)):
				    //echo("linha 86 modulo amostrasComClasse. Aqui vi direcionar para abrir o progrma0659 <br>");
	                redireciona('painel.php');
	            else:
				    //echo("linha 89 modulo amostrasComClasse. Aqui vi direcionar para erro 2 o progrma0653  senha incorreta? <br>");
	                redireciona('?erro=2');//dados inclorretos ou usuario inativo
	            endif;
	        endif;//final do isset logar
		
	   ?>
	   <script type="text/javascript">
	       $(document).ready(function(){
	           $(".userform").validate({
	               rules:{
	                   usuario:{required:true, minlength:3},
	                   senha:{required:true, rangelength:[4,20]},
	               }
	           });
	       });
	   </script>
        <div id="loginform">
            <form class="userform" method="post" action="">
			
			<!--INICIOOOOOOOOOOOOOOOOOOOOOOOOOOOO-->
		        <fieldset>
                SilasNet - Aplicativo web para sementes 
                <ul><legend1>
                    <li>Neste aplicativo é possível registrar amostras que entram no laboratório,
                    informar leituras de germinação,TZ, Pureza,E.Acel, PMS depois calcular, gravar,
                    emitir laudo,boletim, termo e certificado. O projeto inclui registro de campo de produção e saída de semente.</li>
                    <li>Transferência de dados para Excel® e xml para aplicativos de gestão(ERP), como TOTUS®,SAP® e outros.</li>
                    <li>Custo: Um valor inicial de adesão e uma taxa de aluguel mensal, com contrato.</li></legend1>
                    <li>Uberlândia/MG/Brasil - e-mail: silasiso17025@bol.com.br</li>
                </ul>
                </fieldset>
		    <!--FINALLLLLLLLLLLLLLLLLLLLLLLLLLLLLLL-->
			<br>
			
                <fieldset>
                       <ul>   <legend>Acesso restrito ao aplicativo. Identifique-se:</legend>
 
				
              
                        <li>
                            <label for="usuario">Usuário:</label>
                            <input type="text" size="35" name="usuario" autofocus="autofocus" <?php echo $variavelBloqueio; ?> value="<?php echo $_POST['usuario']; ?>" />
                        </li>
                        <li>
                            <label for="senha">Senha:</label>
                            <input type="password" size="25" name="senha" value="<?php echo $_POST['senha']; ?>" />
                        
                        <input type="submit" name="logar" value="Login" /></li>
                    </ul>
				
                    <?php 
                    $erro = $_GET['erro'];
					//echo ("erro=$erro<br>");
                    switch ($erro):
                        case 1:
                            echo '<div class="sucesso">Você fez logoff do sistema.</div>';
                            break;
                        case 2:
						    echo md5('pitanga');//aqui mostra um codigo para eu capturar nao fede nem cheira
                            echo '<div class="erro">Dados incorretos ou usuário inativo. </div>';
                            break;
                        case 3:
                            echo '<div class="erro">Faça login antes de acessar a página solicitada.</div>';
                            break;
                    endswitch;
                    ?>
                </fieldset>


            </form>
        </div>		  
		<?php
		break;

    case 'incluir':
        echo '<h2>Cadastro de usuários</h2>';
        if (isset($_POST['cadastrar'])):
            $user = new amostras2016(array(
                'nome'=>$_POST['nome'],
                'id_lab'=>$idLabo,
                'nivel'=>'OPERADOR',
                'binario'=>'1111111111111',
                'email'=>$_POST['email'],
                'login'=>$_POST['login'],
                'senha'=>codificaSenha($_POST['senha']),
                'administrador'=>($_POST['adm']=='on') ? 's' : 'n',
            ));
            if ($user->existeRegistro('login',$_POST['login'])):
                printMSG('Este login já está cadastrado, escolha outro nome de usuário.','erro');
                $duplicado = TRUE;
            endif;
            if ($user->existeRegistro('email',$_POST['email'])):
                printMSG('Este email já está cadastrado, escolha outro endereço.','erro');
                $duplicado = TRUE;
            endif;
			
			echo("duplicado= $duplicado<br>");
			
            if ($duplicado!=TRUE):
                $user->inserir($user);
				$jaco=$user->linhasafetadas;
			    //echo("duplicado= $duplicado jaco=$jaco<br>");
				
                if ($user->linhasafetadas>0):
                    printMSG('Dados inseridos com sucesso. <a href="'.ADMURL.'?m=amostrasComClasse&t=listar">Exibir cadastros</a>');
                    unset($_POST);
                endif;
            endif;            
        endif;
        ?>
        <script type="text/javascript">
           $(document).ready(function(){
               $(".userform").validate({
                   rules:{
                       nome:{required:true, minlength:3},
                       email:{required:true, email:true},
                       login:{required:true, minlength:5},
                       senha:{required:true, rangelength:[4,10]},
                       senhaconf:{required:true, equalTo:"#senha"},
                   }
               });
           });
       </script>
        <form class="userform" method="post" action="">
            <fieldset>
                <legend>Informe os dados para cadastro</legend>
                <ul>
                    <li><label for="nome">Nome:</label>
                    <input type="text" size="50" name="nome" autofocus="autofocus" value="<?php echo $_POST['nome'] ?>" /></li>
                    <li><label for="email">Email:</label>
                    <input type="text" size="50" name="email" value="<?php echo $_POST['email'] ?>" /></li>
                    <li><label for="login">Login:</label>
                    <input type="text" size="35" name="login"   value="<?php echo $_POST['login'] ?>" /></li>
                    <li><label for="senha">Senha:</label>
                    <input type="password" size="25" name="senha" id="senha" value="<?php echo $_POST['senha'] ?>" /></li>
                    <li><label for="senhaconf">Repita a senha:</label>
                    <input type="password" size="25" name="senhaconf" value="<?php echo $_POST['senhaconf'] ?>" /></li>
                    <li><label for="adm">Administrador:</label>
                    <input type="checkbox" name="adm" <?php if(!isAdmin()) echo 'disabled="disabled"'; if($_POST['adm']) echo 'checked="checked"'; ?> /> dar controle total ao usuário</li>
                    <li class="center"><input type="button" onclick="location.href='?m=amostrasComClasse&t=listar'" value="Cancelar" /><input type="submit" name="cadastrar" value="Salvar dados" /></li>
                </ul>
            </fieldset>
        </form>
        <?php
        break;
		
		
		
    //Vai listar OPERADOR		
    case 'listar':
        echo '<h2>Usuários cadastrados</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Numero</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new amostras2016();
				$user->extras_select = "WHERE  fic_labo=".$idLabo;
                echo("xxxxx  $user->extras_select<br>");
                $user->selecionaTudo($user);
                while ($res = $user->retornaDados()):
                    echo '<tr>';
                    printf('<td>%s</td>',$res->fic_amostra);
                    printf('<td class="center">
					<a href="?m=amostrasComClasse&t=incluir" title="Novo cadastro"><img src="images/add.png" alt="Novo cadastro" /></a>
					<a href="?m=amostrasComClasse&t=editar&id=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a>
					<a href="?m=amostrasComClasse&t=senha&id=%s" title="Mudar senha"><img src="images/pass.png" alt="Mudar senha" /></a>
					<a href="?m=amostrasComClasse&t=excluir&id=%s" title="Excluir"><img src="images/delete.png" alt="Excluir" /></a>
					</td>',$res->fic_id,$res->fic_id,$res->fic_id);



                    /*
                    printf('<td>%s</td>',$res->email);
                    printf('<td>%s</td>',$res->login);
                    printf('<td class="center">%s/%s</td>',strtoupper($res->ativo),strtoupper($res->administrador));
                    printf('<td class="center">%s</td>',date("d/m/Y",strtotime($res->datacad)));
                    printf('<td class="center">
					<a href="?m=amostrasComClasse&t=incluir" title="Novo cadastro"><img src="images/add.png" alt="Novo cadastro" /></a>
					<a href="?m=amostrasComClasse&t=editar&id=%s" title="Editar"><img src="images/edit.png" alt="Editar" /></a>
					<a href="?m=amostrasComClasse&t=senha&id=%s" title="Mudar senha"><img src="images/pass.png" alt="Mudar senha" /></a>
					<a href="?m=amostrasComClasse&t=excluir&id=%s" title="Excluir"><img src="images/delete.png" alt="Excluir" /></a>
					</td>',$res->id,$res->id,$res->id);
					*/
                    echo '</tr>';
                endwhile;                
                ?>
            </tbody>
        </table>
        
        <?php        
    break;

    case 'editar':
        echo '<h2>Registro de amostra</h2>';
        $sessao = new sessao();
            if (isset($_GET['id'])):
                $id = $_GET['id'];
				//echo $id;

				
				echo("iiiiiiadmin=trueiiiiiiid= $id  idlabo=$idLabo acesso=$acesso  <br>");

                
 
  ////////////////////////////
                 if (isset($_POST['editar'])):
                        $user = new amostras2016(array(
                            'fic_amostra'=>$_POST['amostra'],
                        ));
                    $user->valorpk = $id;
                    $user->extras_select = "WHERE   fic_id=$id";
                    $user->selecionaTudo($user);
                    $res = $user->retornaDados();
					$protox=$user->protocolo;
					
				    echo("iiiiiigrava= $id  idlabo=$idLabo user->extras_select $user->extras_select protox= $protox<br>");
                    $user->atualizar($user);
  //////////////////////////
  
  
  
                endif;
                $userbd = new amostras2016();
                $userbd->extras_select = "WHERE fic_id=$id";//
                $userbd->selecionaTudo($userbd);
                $resbd = $userbd->retornaDados();
            else:
                printMSG('Usuário não definido, <a href="?m=amostrasComClasse&t=listar">escolha um usuário para alterar</a>','erro');
            endif;
            ?>
            <script type="text/javascript">
               $(document).ready(function(){
                   $(".userform").validate({
                       rules:{
					       fic_amostra:{required:true, minlength:3},
                       }
                   });
               });

           </script>
            <form class="userform" method="post" action="">
                <fieldset>
                    <legend>Informe os dados para alteração</legend>
                    <ul>
					 <?php echo $acesso; ?>
                        <li><label for="nome">Numero:</label>
                        <input type="text"     size="50" name="amostra" autofocus="autofocus" value="<?php if($resbd) echo $resbd->fic_amostra; ?>" /></li>
                        <li class="center"><input type="button" onclick="location.href='?m=amostrasComClasse&t=listar'" value="Cancelar" /><input type="submit" name="editar" value="Salvar Alterações" /></li>
                    </ul>
                </fieldset>
            </form>
        <?php
    break;




 
    case 'editar_original':
        echo '<h2>Registro de amostra</h2>';
        $sessao = new sessao();
        if (isAdmin()==TRUE || $sessao->getVar('iduser')==$_GET['id']):
            if (isset($_GET['id'])):
                $id = $_GET['id'];
				//echo $id;
				$acesso="";
				if($id==$idLabo)$acesso="disabled";
				echo("iiiiiiadmin=trueiiiiiiid= $id  idlabo=$idLabo acesso=$acesso  <br>");

                if (isset($_POST['editar'])):
                    if(isAdmin()==TRUE):
                        $user = new amostras2016(array(
                            'nome'=>$_POST['nome'],
                            'email'=>$_POST['email'],
                            'ativo'=>($_POST['ativo']=='on') ? 's' : 'n',
                            'administrador'=>($_POST['adm']=='on') ? 's' : 'n',
                        ));
                    else:
                        $user = new amostras2016(array(
                            'nome'=>$_POST['nome'],
                            'email'=>$_POST['email'],
                        ));
                    endif;
                    $user->valorpk = $id;
                    $user->extras_select = "WHERE   fic_id=$id";
                    $user->selecionaTudo($user);
                    $res = $user->retornaDados();
 
       
                endif;
                $userbd = new amostras2016();
                $userbd->extras_select = "WHERE id=$id";
                $userbd->selecionaTudo($userbd);
                $resbd = $userbd->retornaDados();
            else:
                printMSG('Usuário não definido, <a href="?m=amostrasComClasse&t=listar">escolha um usuário para alterar</a>','erro');
            endif;
            ?>
            <script type="text/javascript">
               $(document).ready(function(){
                   $(".userform").validate({
                       rules:{
                           nome:{required:true, minlength:3},
                           email:{required:true, email:true},
                       }
                   });
               });

           </script>
            <form class="userform" method="post" action="">
                <fieldset>
                    <legend>Informe os dados para alteração</legend>
                    <ul>
					 <?php echo $acesso; ?>
                        <li><label for="nome">Nome:</label>
                        <input type="text"     size="50" name="nome" autofocus="autofocus" value="<?php if($resbd) echo $resbd->nome; ?>" /></li>
                        <li><label for="email">Email:</label>
                        <input type="text" size="50" name="email" value="<?php if($resbd) echo $resbd->email; ?>" /></li>
                        <li><label for="login">Login:</label>
                        <input type="text" disabled="disabled" size="35" name="login" value="<?php if($resbd) echo $resbd->login; ?>" /></li>
                        <li><label for="ativo">Ativo:</label>
                        <input type="checkbox" name="ativo" <?php if(!isAdmin()) echo 'disabled="disabled"'; if($resbd->ativo == 's') echo 'checked="checked"'; ?> /> habilitar ou desabilitar o usuário</li>
                        <li><label for="adm">Administrador:</label>
                        <input type="checkbox" name="adm" <?php if(!isAdmin()) echo 'disabled="disabled"'; if($resbd->administrador == 's') echo 'checked="checked"'; ?> /> dar controle total ao usuário</li>
                        <li class="center"><input type="button" onclick="location.href='?m=amostrasComClasse&t=listar'" value="Cancelar" /><input type="submit" name="editar" value="Salvar Alterações" /></li>
                    </ul>
                </fieldset>
            </form>
        <?php
        else:
            printMSG('Você não tem permissão para acessar esta página. <a href="#" onclick="history.back()">Voltar</a>','erro');
        endif;
    break;



	
	case 'editarLaboratorio':
        echo '<h2>Edição de dados do Laboratório</h2>';
        $sessao = new sessao();
		$idLabo=$sessao->getVar('idLabo');
		//echo(" Operador: $nomeOperador idlabo=$idLabo<br>");

	    $arquivo='i'.$idLabo.'.JPG';
		
		   if (isset($_POST['editarLaboratorioGravando'])):
                     $id=$idLabo;
                        $user = new amostras2016(array(
                            'nome'=>$_POST['nome'],
                            'email'=>$_POST['email'],
                            'ende1'=>$_POST['ende1'],
                            'ende2'=>$_POST['ende2'],
                            'ende3'=>$_POST['ende3'],
                            'ende4'=>$_POST['ende4'],
                            'ende5'=>$_POST['ende5'],
                            'cidade'=>$_POST['cidade'],
                            'regiao'=>$_POST['uf'],
                            'renasem'=>$_POST['renasem'],
                        ));
                    $user->valorpk = $id;
                    $user->extras_select = "WHERE   id_lab=".$idLabo." && nivel='TITULAR'";
                    $user->selecionaTudo($user);
                    $res = $user->retornaDados();

                    if ($duplicado!=TRUE):
                        $user->atualizar($user);
                        if ($user->linhasafetadas==1):
                            printMSG('Dados alterados com sucesso. ');
                            unset($_POST);
                        else:
                            printMSG('Nenhum dado foi alterado. ','alerta');
                        endif;
                    endif;                    
                endif;
                $userbd = new amostras2016();
                $userbd->extras_select = "WHERE id=".$idLabo." && nivel='TITULAR'";
                $userbd->selecionaTudo($userbd);
                $resbd = $userbd->retornaDados();

            ?>
            <script type="text/javascript">
               $(document).ready(function(){
                   $(".userform").validate({
                       rules:{
                           nome:{required:true, minlength:3},
                           email:{required:true, email:true},
                       }
                   });
               });
			   
           </script>
            <form class="userform" method="post" action="">
                <fieldset>
                    <legend>Informe os dados para alteração dos dados do laboratório</legend>
                    <ul>
                        <li><label for="nome">Nome do laboratório:</label>
                        <input type="text" size="80" name="nome" autofocus="autofocus" maxlength="70" value="<?php if($resbd) echo $resbd->nome; ?>" /></li>
                        <li><label for="email">1ª linha do endereço:</label>
                        <input type="text" size="80" name="ende1"  maxlength="150" value="<?php if($resbd) echo $resbd->ende1; ?>" /></li>
                        <li><label for="email">2ª linha do endereço:</label>
                        <input type="text" size="80" name="ende2"  maxlength="150" value="<?php if($resbd) echo $resbd->ende2; ?>" /></li>
                        <li><label for="email">3ª linha do endereço:</label>
                        <input type="text" size="80" name="ende3"  maxlength="150" value="<?php if($resbd) echo $resbd->ende3; ?>" /></li>
                        <li><label for="email">4ª linha do endereço:</label>
                        <input type="text" size="80" name="ende4"  maxlength="150" value="<?php if($resbd) echo $resbd->ende4; ?>" /></li>
                        <li><label for="email">5ª linha do endereço:</label>
                        <input type="text" size="80" name="ende5"  maxlength="150" value="<?php if($resbd) echo $resbd->ende5; ?>" /></li>
						
						Orientação: Os dados acima sairão no boletim exatamente como aparecem.
                        <li><label for="email">Cidade:</label>
                        <input type="text" size="50" name="cidade"  maxlength="100" value="<?php if($resbd) echo $resbd->cidade; ?>" />
						<label for="uf">UF:</label>
                        <input type="text" size="2" name="uf"  maxlength="2" value="<?php if($resbd) echo $resbd->regiao; ?>" />
						</li>
                        <li><label for="email">Email do lab.:</label>
                        <input type="text" size="50" name="email" value="<?php if($resbd) echo $resbd->email; ?>" />
						
                        <label for="renasem">RENASEM:</label>
                        <input type="text" size="10" name="renasem" value="<?php if($resbd) echo $resbd->renasem; ?>" /></li>


                        <li>
						Logo: i<?php if($resbd) echo $resbd->id; ?>.JPG
						<img src="ImagensClientes/<?php echo $arquivo;?>" width="190" height="90"  /> <!-- aqui funfa-->
					  					
						</li>
                        <li class="center"><input type="button" onclick="location.href='?m=amostrasComClasse&t=listar'" value="Cancelar" />
						<input type="submit" name="editarLaboratorioGravando" value="Salvar Alterações" /></li>
                    </ul>
                </fieldset>
            </form>
        <?php
    break;

	
	
	/////////////////////////////////////////
    case 'senha':
        echo '<h2>Alteração de senha</h2>';
        $sessao = new sessao();
        if (isAdmin()==TRUE || $sessao->getVar('iduser')==$_GET['id']):
            if (isset($_GET['id'])):
                $id = $_GET['id'];
                if (isset($_POST['mudasenha'])):
                    $user = new amostras2016(array(
                        'senha'=>codificaSenha($_POST['senha']),
                    ));
                    $user->valorpk = $id;
                    $user->atualizar($user);
                    if ($user->linhasafetadas==1):
                        printMSG('Senha alterada com sucesso. <a href="?m=amostrasComClasse&t=listar">Exibir cadastros</a>');
                        unset($_POST);
                    else:
                        printMSG('Nenhum dado foi alterado. <a href="?m=amostrasComClasse&t=listar">Exibir cadastros</a>','alerta');
                    endif;                   
                endif;
                $userbd = new amostras2016();
                $userbd->extras_select = "WHERE id=$id";
                $userbd->selecionaTudo($userbd);
                $resbd = $userbd->retornaDados();
            else:
                printMSG('Usuário não definido, <a href="?m=amostrasComClasse&t=listar">escolha um usuário para alterar</a>','erro');
            endif;
            ?>
            <script type="text/javascript">
               $(document).ready(function(){
                   $(".userform").validate({
                       rules:{
                           senha:{required:true, rangelength:[4,10]},
                           senhaconf:{required:true, equalTo:"#senha"},
                       }
                   });
               });
           </script>
            <form class="userform" method="post" action="">
                <fieldset>
                    <legend>Informe os dados para alteração</legend>
                    <ul>
                        <li><label for="nome">Nome:</label>
                        <input type="text" disabled="disabled" size="50" name="nome" value="<?php if($resbd) echo $resbd->nome; ?>" /></li>
                        <li><label for="email">Email:</label>
                        <input type="text" disabled="disabled" size="50" name="email" value="<?php if($resbd) echo $resbd->email; ?>" /></li>
                        <li><label for="login">Login:</label>
                        <input type="text" disabled="disabled" size="35" name="login" value="<?php if($resbd) echo $resbd->login; ?>" /></li>
                        <li><label for="senha">Senha:</label>
                        <input type="password" size="25" name="senha" id="senha" autofocus="autofocus" value="<?php echo $_POST['senha'] ?>" /></li>
                        <li><label for="senhaconf">Repita a senha:</label>
                        <input type="password" size="25" name="senhaconf" value="<?php echo $_POST['senhaconf'] ?>" /></li>
                        <li class="center"><input type="button" onclick="location.href='?m=amostrasComClasse&t=listar'" value="Cancelar" /><input type="submit" name="mudasenha" value="Salvar Alterações" /></li>
                    </ul>
            
			
			    </fieldset>

            </form>
        <?php
        else:
            printMSG('Você não tem permissão para acessar esta página. <a href="#" onclick="history.back()">Voltar</a>','erro');
        endif;
    break;
	
	
	/////////////////////////////////////////
    case 'excluir':
        echo '<h2>Exclusão de usuários</h2>';
        $sessao = new sessao();
        if (isAdmin()==TRUE):
            if (isset($_GET['id'])):
                $id = $_GET['id'];
                if (isset($_POST['excluir'])):
                    $user = new amostras2016();
                    $user->valorpk = $id;
                    $user->deletar($user);
                    if ($user->linhasafetadas==1):
                        printMSG('Registro excluído com sucesso. <a href="?m=amostrasComClasse&t=listar">Exibir cadastros</a>');
                        unset($_POST);
                    else:
                        printMSG('Nenhum registro foi excluído. <a href="?m=amostrasComClasse&t=listar">Exibir cadastros</a>','alerta');
                    endif;                   
                endif;
                $userbd = new amostras2016();
                $userbd->extras_select = "WHERE id=$id";
                $userbd->selecionaTudo($userbd);
                $resbd = $userbd->retornaDados();
            else:
                printMSG('Usuário não definido, <a href="?m=amostrasComClasse&t=listar">escolha um usuário para excluir</a>','erro');
            endif;
            ?>
            <form class="userform" method="post" action="">
                <fieldset>
                    <legend>Confira os dados para exclusão</legend>
                    <ul>
                        <li><label for="nome">Nome:</label>
                        <input type="text" disabled="disabled" size="50" name="nome" value="<?php if($resbd) echo $resbd->nome; ?>" /></li>
                        <li><label for="email">Email:</label>
                        <input type="text" disabled="disabled" size="50" name="email" value="<?php if($resbd) echo $resbd->email; ?>" /></li>
                        <li><label for="login">Login:</label>
                        <input type="text" disabled="disabled" size="35" name="login" value="<?php if($resbd) echo $resbd->login; ?>" /></li>
                        <li><label for="ativo">Ativo:</label>
                        <input type="checkbox" disabled="disabled" name="ativo" <?php if($resbd->ativo == 's') echo 'checked="checked"'; ?> /> habilitar ou desabilitar o usuário</li>
                        <li><label for="adm">Administrador:</label>
                        <input type="checkbox" disabled="disabled" name="adm" <?php if($resbd->administrador == 's') echo 'checked="checked"'; ?> /> dar controle total ao usuário</li>
                        <li class="center"><input type="button" onclick="location.href='?m=amostrasComClasse&t=listar'" value="Cancelar" /><input type="submit" name="excluir" value="Confirmar Exclusão" /></li>
                    </ul>
                </fieldset>
            </form>
        <?php
        else:
            printMSG('Você não tem permissão para acessar esta página. <a href="#" onclick="history.back()">Voltar</a>','erro');
        endif;
    break;
	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>